com.asprise.ocr

## Class OcrExecutorService.OcrCallable

- java.lang.Object
- - com.asprise.ocr.OcrExecutorService.OcrCallable

- All Implemented Interfaces:
    Callable<String>
  Enclosing class:
    OcrExecutorService

      public static class OcrExecutorService.OcrCallable
      extends Object
      implements Callable<String>

  Represents an OCR task.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OcrExecutorService.OcrCallable(File[] files, String recognizeType, String outputFormat, Object... propSpec)` See Ocr.recognize(java.io.File[], String, String, Object...)
    `OcrExecutorService.OcrCallable(String files, int pageIndex, int startX, int startY, int width, int height, String recognizeType, String outputFormat, Object... propSpec)` See Ocr.recognize(String, int, int, int, int, int, String, String, Object...)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `call()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OcrExecutorService.OcrCallable

          public OcrExecutorService.OcrCallable(File[] files,
                                        String recognizeType,
                                        String outputFormat,
                                        Object... propSpec)

      See Ocr.recognize(java.io.File[], String, String, Object...)
      Parameters:
        `files` -
        `recognizeType` -
        `outputFormat` -
        `propSpec` -

    - #### OcrExecutorService.OcrCallable

          public OcrExecutorService.OcrCallable(String files,
                                        int pageIndex,
                                        int startX,
                                        int startY,
                                        int width,
                                        int height,
                                        String recognizeType,
                                        String outputFormat,
                                        Object... propSpec)

      See Ocr.recognize(String, int, int, int, int, int, String, String, Object...)
      Parameters:
        `files` -
        `pageIndex` -
        `startX` -
        `startY` -
        `width` -
        `height` -
        `recognizeType` -
        `outputFormat` -
        `propSpec` -

  - ### Method Detail

    - #### call

          public String call()
                      throws Exception

      Specified by:
        `call` in interface `Callable<String>`
      Throws:
        `Exception`

Copyright © Asprise Software. All Rights Reserved. Please visit the product page at asprise.com